package intrinsic.mx.styles;

public interface IStyleManager {

	/** Accessors */
//	public Object typeSelectorCache;
//	public Object inheritingStyles;
//	public Object stylesRoot;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */

/** Static Methods */

/** Methods */
public void styleDeclarationsChanged();
public void registerSizeInvalidatingStyle(String arg0);
public void unloadStyleDeclarations(String arg0);
public void unloadStyleDeclarations(String arg0, boolean arg1);
public void clearStyleDeclaration(String arg0, boolean arg1);
public boolean isParentDisplayListInvalidatingStyle(String arg0);
public boolean isInheritingTextFormatStyle(String arg0);
public boolean isSizeInvalidatingStyle(String arg0);
public intrinsic.mx.styles.CSSStyleDeclaration getStyleDeclaration(String arg0);
public intrinsic.flash.events.IEventDispatcher loadStyleDeclarations(String arg0);
public intrinsic.flash.events.IEventDispatcher loadStyleDeclarations(String arg0, boolean arg1);
public intrinsic.flash.events.IEventDispatcher loadStyleDeclarations(String arg0, boolean arg1, boolean arg2);
public int getColorName(Object arg0);
public boolean isValidStyleValue(Object arg0);
public void setStyleDeclaration(String arg0, intrinsic.mx.styles.CSSStyleDeclaration arg1, boolean arg2);
public boolean isColorName(String arg0);
public void getColorNames(intrinsic.Array arg0);
public void initProtoChainRoots();
public boolean isInheritingStyle(String arg0);
public boolean isParentSizeInvalidatingStyle(String arg0);
public void registerParentDisplayListInvalidatingStyle(String arg0);
public void registerParentSizeInvalidatingStyle(String arg0);
public void registerInheritingStyle(String arg0);
public void registerColorName(String arg0, int arg1);

}
